Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory.parsing
Class PropertyEntry

    java.lang.Object
      org.springframework.beans.factory.parsing.PropertyEntry

All Implemented Interfaces:
  ParseState.Entry

    public class PropertyEntry

extends Object
implements ParseState.Entry

`ParseState` entry representing a JavaBean property.

Since:
  2.0
Author:
  Rob Harrop

Constructor Summary
`PropertyEntry(String name)` Creates a new instance of the `PropertyEntry` class.

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyEntry

    public PropertyEntry(String name)

  Creates a new instance of the `PropertyEntry` class.

  Parameters:
    `name` - the name of the JavaBean property represented by this instance
  Throws:
    `IllegalArgumentException` - if the supplied `name` is `null` or consists wholly of whitespace

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD